%global momorel 1

Summary: GTK2/GNOME cd burning application
Name: gnomebaker
Version: 0.6.4
Release: %{momorel}m%{?dist}
License: GPL
URL: http://gnomebaker.sourceforge.net/v2/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: libgnomeui-devel >= 2.22.1
BuildPrereq: gtk2-devel >= 2.12.10
BuildPrereq: libglade2-devel >= 2.6.2
BuildPrereq: libxml2-devel >= 2.6.32
BuildPrereq: glib2-devel >= 2.16.3
BuildPrereq: libnotify-devel >= 0.4.4
BuildPrereq: gstreamer-devel >= 0.10.20

Patch0: gnomebaker-0.6.0-gmodule.patch

Requires: libgnome, gtk2, gstreamer
Requires: dvd+rw-tools, wodim

%description
Gnomebaker is a GTK2/GNOME cd burning application. I've been writing
it in my spare time so progress is fairly slow. It's more of a
personal project as I wanted to have a go at developing on Linux and I
figured that as I had got this far I may as well let it loose on the
world.

Maybe someone will like it and use it. If you like Gnomebaker, please
rate it here. The project package is located here.

%prep
%setup -q
%patch0 -p1 -b .gmodule

%build
autoreconf -vfi
%configure --disable-glibtest --enable-libnotify
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install --vendor= \
    --dir %{buildroot}%{_datadir}/applications \
    --add-category GNOME \
    --remove-category Application \
    --add-only-show-in GNOME \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/gnomebaker
%{_datadir}/applications/gnomebaker.desktop
%{_datadir}/gnome/help/gnomebaker
%{_datadir}/gnomebaker
%{_datadir}/locale/*/*/*
%{_datadir}/omf/gnomebaker
%{_datadir}/icons/hicolor/48x48/apps/gnomebaker-48.png

%changelog
* Fri Jun 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- update to 0.6.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.2-2m)
- rebuild against gcc43

* Mon Sep 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.2-1m)
- update to 0.6.2

* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-5m)
- good-bye cdrtools and welcome cdrkit

* Sun Jan 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-4m)
- requires change gstreamer -> gstreamer010

* Wed Jan  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-3m)
- add patch0 for gmodule-2.0
-- fix "libglade-WARNING **: could not find signal handler ..."
-- back to main

* Tue Jan  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-2m)
- TO.Alter (does not work)

* Mon Sep 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0

* Thu May  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- initial build
